Bug 27646 - Allow export of acquisitions home and funds table
Summary: Allow export of acquisitions home and funds table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 26602
Blocks: 27653
  Show dependency treegraph
 
Reported: 2021-02-05 19:37 UTC by Nick Clemens
Modified: 2021-02-23 17:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 27646: Allow export of Acqusitions home and Funds tables (3.58 KB, patch)
2021-02-05 19:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27646: Allow export of Acqusitions home and Funds tables (3.65 KB, patch)
2021-02-05 22:11 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27646: (QA follow-up) Add class to not export action column (919 bytes, patch)
2021-02-06 20:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27646: Allow export of Acqusitions home and Funds tables (3.65 KB, patch)
2021-02-08 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27646: Allow export of Acqusitions home and Funds tables (3.76 KB, patch)
2021-02-14 15:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-02-05 19:37:54 UTC
These pages use dataTables, if we use KohaTables then we can export - this is important for reporting purposes
Comment 1 Nick Clemens 2021-02-05 19:39:45 UTC
Created attachment 116435 [details] [review]
Bug 27646: Allow export of Acqusitions home and Funds tables

This patch swtiches these tables ot use KohaTables with exporting enabled

To test:
1 - Apply patch
2 - Confirm acquisitions home and funds tables display correctly
3 - Confirm you can export the tables
Comment 2 PTFS Europe Sandboxes 2021-02-05 22:11:39 UTC
Created attachment 116436 [details] [review]
Bug 27646: Allow export of Acqusitions home and Funds tables

This patch swtiches these tables ot use KohaTables with exporting enabled

To test:
1 - Apply patch
2 - Confirm acquisitions home and funds tables display correctly
3 - Confirm you can export the tables

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Barbara Johnson 2021-02-05 22:18:37 UTC
This will be so useful.  

I do want to note that the export brings over the actions, edit, delete and sub funds parts of the table. Those can easily be deleted from an xlsx or csv file but they can't be easily removed when printing. I don't know if this is even possible but if the export could be set up to exclude them that would be great.
Comment 4 Katrin Fischer 2021-02-06 20:56:25 UTC
Created attachment 116442 [details] [review]
Bug 27646: (QA follow-up) Add class to not export action column
Comment 5 Katrin Fischer 2021-02-06 20:57:31 UTC
I was able to fix the Actions column, but I was not able to remove the navigation links from the export.

 Expand all
          | Collapse all
          | Hide inactive budgets
          | Show inactive budgets...

These are especially messy when using the "Copy" link.

Can you please have a look? Hopefully an easy fix!
Comment 6 Nick Clemens 2021-02-08 12:54:11 UTC
(In reply to Katrin Fischer from comment #5)
> I was able to fix the Actions column, but I was not able to remove the
> navigation links from the export.
> 
>  Expand all
>           | Collapse all
>           | Hide inactive budgets
>           | Show inactive budgets...
> 
> These are especially messy when using the "Copy" link.
> 
> Can you please have a look? Hopefully an easy fix!

See bug 27653 for the caption row

The actions column is also taken care of by 26602 - so added as dependency
Comment 7 Katrin Fischer 2021-02-08 22:05:21 UTC
Created attachment 116529 [details] [review]
Bug 27646: Allow export of Acqusitions home and Funds tables

This patch swtiches these tables ot use KohaTables with exporting enabled

To test:
1 - Apply patch
2 - Confirm acquisitions home and funds tables display correctly
3 - Confirm you can export the tables

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 8 Katrin Fischer 2021-02-14 15:03:09 UTC
Created attachment 116863 [details] [review]
Bug 27646: Allow export of Acqusitions home and Funds tables

This patch swtiches these tables ot use KohaTables with exporting enabled

To test:
1 - Apply patch
2 - Confirm acquisitions home and funds tables display correctly
3 - Confirm you can export the tables

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=27647
Comment 9 Katrin Fischer 2021-02-14 15:06:52 UTC
Please push with 
Bug 27653 - Do not include 'caption' row in print/copy export of datatables
Comment 10 Jonathan Druart 2021-02-15 11:08:40 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-02-19 15:18:52 UTC
Small and useful enhancement, I choose to backport on stable.

Pushed to 20.11.x for 20.11.03
Comment 12 Andrew Fuerste-Henry 2021-02-23 12:54:25 UTC
Not backporting enhancement to 20.05
Comment 13 Andrew Fuerste-Henry 2021-02-23 17:03:06 UTC
Pushed to 20.05.x for 20.05.09
Comment 14 Victor Grousset/tuxayo 2021-02-23 17:25:42 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.